# Class ResourceLinkRef

java.lang.Object
javax.naming.Reference
org.apache.naming.AbstractRef
org.apache.naming.ResourceLinkRef

All Implemented Interfaces:
  `Serializable, Cloneable`

public class ResourceLinkRef extends AbstractRef
Represents a reference address to a resource.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_FACTORY`
Default factory for this reference.
`static final String`
`GLOBALNAME`
Description address type.

### Fields inherited from class Reference

`addrs, classFactory, classFactoryLocation, className`

## Constructor Summary

Constructors
Constructor
Description
`ResourceLinkRef(String resourceClass, String globalName, String factory, String factoryLocation)`
ResourceLink Reference.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getDefaultFactoryClassName()`
Returns the default factory class name.

### Methods inherited from class AbstractRef

`getFactoryClassName, toString`

### Methods inherited from class Reference

`add, add, clear, clone, equals, get, get, getAll, getClassName, getFactoryClassLocation, hashCode, remove, size`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### DEFAULT_FACTORY

public static final String DEFAULT_FACTORY
Default factory for this reference.

See Also:
  - Constant Field Values

### GLOBALNAME

public static final String GLOBALNAME
Description address type.

See Also:
  - Constant Field Values

## Constructor Details

### ResourceLinkRef

public ResourceLinkRef(String resourceClass, String globalName, String factory, String factoryLocation)
ResourceLink Reference.

Parameters:
  `resourceClass` - Resource class
  `globalName` - Global name
  `factory` - The possibly null class name of the object's factory.
  `factoryLocation` - The possibly null location from which to load the factory (e.g. URL)

## Method Details

### getDefaultFactoryClassName

protected String getDefaultFactoryClassName()
Description copied from class: `AbstractRef`
Returns the default factory class name.

Specified by:
  `getDefaultFactoryClassName` in class `AbstractRef`
Returns:
  the default factory class name